On this page

# Turtle3D

Class Turtle3D subclasses Turtles, adding 3D methods using Three.js's Object3D module. See NetLogo who's 3D semantics we follow.

Just as with Turtle, you do not call `new Turtle3D()`, instead class Turtles creates Turtle3D instances via Model modifying the Turtles/Turtle3D initialization.

Again, class Turtles is a factory for all of it's Turtle3D instances. So don't do this:

## Constructor

### new Turtle3D()

Source
  - Turtle3D.js, line 21

## Methods

### reset()

Resets this turtle's position, rotation and heading all to 0's

Source
  - Turtle3D.js, line 47

### setxyz(x, y, z)

Set's this turtle's 3D, x y z, position

Parameters:

Name | Type | Description
--- | --- | ---
`x` | number | float for x position
`y` | number | float for y position
`z` | number | float for z position

Source
  - Turtle3D.js, line 61

Type anything to view search result